const mongoose = require("mongoose");

const CurrencySchema = new mongoose.Schema({
  name: {
    type: String,
  },
  code: {
    type: String,
  },
  exchangeRate: {
    type: Number,
  },
  decimalPoints: {
    type: Number,
  },
  IsActive: {
    type: Boolean,
  },
  IsDelete: {
    type: Boolean,
  },
  CreatedBy: {
    type: String,
  },
  CreatedOn: {
    type: Date,
  },
  ModifiedBy: {
    type: String,
    default: null,
  },
  ModifiedOn: {
    type: Date,
    default: null,
  },
});

const Currency = mongoose.model("Currency", CurrencySchema);

module.exports = Currency;
